CHECKPKG(1)

NOME
checkpkg - Compara o pacote de compilação atual com a versão do repositório

SINOPSE

checkpkg

DESCRIÇÃO

Procura por um pacote compilado localmente correspondente ao PKGBUILD e baixa a última versão desse pacote dos repositórios do Pacman. Ele então compara a lista de arquivos .so fornecidos por cada versão do pacote e exibe se há diferenças de soname para o novo pacote. Um diretório também é criado usando mktemp com arquivos contendo uma lista de arquivos para ambos os pacotes e uma lista de bibliotecas para ambos os pacotes.

OPÇÕES

-r, --rmdir
    Remove o diretório temporário criado para conter a lista de arquivos e bibliotecas de ambos os pacotes.

-w, --warn
    Imprime um aviso em vez de uma mensagem normal em caso de diferenças de soname.

-M, --makepkg-config
    Define um arquivo de configuração alternativo do makepkg.

-h, --help
    Mostra um texto de ajuda.

VEJA TAMBÉM

find-libprovides(1)

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).